'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var marked = _interopDefault(require('marked'));
var rollupPluginutils = require('rollup-pluginutils');

var ext = /\.md$/;

function md ( options ) {
    if ( options === void 0 ) options = {};

    var filter = rollupPluginutils.createFilter( options.include, options.exclude );

    return {
        name: 'md',

        transform: function transform ( md, id ) {
            if ( !ext.test( id ) ) return null;
            if ( !filter( id ) ) return null;

            var code = marked( md );

            return {
                code: ("export default " + code + ";"),
                map: { mappings: '' }
            };
        }
    };
}

module.exports = md;
//# sourceMappingURL=rollup-plugin-md.js.map
