import marked from 'marked';
import { createFilter, makeLegalIdentifier } from 'rollup-pluginutils';

const ext = /\.md$/;

export default function md ( options = {} ) {
    const filter = createFilter( options.include, options.exclude );

    return {
        name: 'md',

        transform ( md, id ) {
            if ( !ext.test( id ) ) return null;
            if ( !filter( id ) ) return null;

            const code = marked( md );

            return {
                code: `export default ${code};`,
                map: { mappings: '' }
            };
        }
    };
}
